CVS: theedge/sbin lget, 1.19, 1.20 lin, 1.53, 1.54 lrm, 1.12, 1.13 lunar, 1.16, 1.17

sofar at lunar-linux.org sofar at lunar-linux.org
Sun Jul 13 20:49:56 GMT 2003


Update of /var/cvs/lunar/theedge/sbin
In directory dbguin.lunar-linux.org:/tmp/cvs-serv18149/sbin

Modified Files:
	lget lin lrm lunar 
Log Message:

Hi,

this is not a mailbox flood, but rather something I've been working on for
about 3.4 weeks now. Some fundamental things have changed in the code and
from the outside not much may have changed, but this is a 2400 line merge!

Biggest differences is in the function calling and temporary file generation,
which now has a complete unique ID and gets cleaned up better. All major 
functions have been rewritten to handle $@ and return data over STDOUT.

Upgrading and installing multiple modules has been rewritten, all frontends
are now true frontends (no standard code in there anymore).

I added some gadgets for CVS options thanks to jol, and there's a framework
for downloading code from SVN:// urls, which I haven't been able to check
yet... someone please try.

some gaps still remain, this *IS* theedge. I suspect resurrect behaviour to
be broken, as well as the download monitoring (but at least it works). At
least I'll be able to track most of the bugs now pretty fast, as I know
where there still is more work to do...

Noted also that md5sum checking was down in theedge up to this one, as for 
quite some few other bugs... should be all fixed I hope.

Please make sure that you run the theedge code for testing, I really need
the feedback on this in the coming 2 weeks.

Thanks,

sofar

PS fortune of the day:
Live fast, die young, and leave a flat patch of fur on the highway!
                -- The Squirrels' Motto (The "Hell's Angels of Nature")
		




Index: lget
===================================================================
RCS file: /var/cvs/lunar/theedge/sbin/lget,v
retrieving revision 1.19
retrieving revision 1.20
diff -u -d -r1.19 -r1.20
--- lget	27 Apr 2003 17:24:56 -0000	1.19
+++ lget	13 Jul 2003 20:49:54 -0000	1.20
@@ -95,23 +95,28 @@
 
 main() {
 
-  cd  /tmp
-  process_parameters        $*
-  MODULES=`strip_parameters  $*`
+  cd /tmp
+  process_parameters $@
+  MODULES=$(strip_parameters $@)
 
-  if  [  -z  "$MODULES"  ];  then
+  if [ -z "$MODULES" ] ; then
     verbose_msg "downloading entire moonbase"
     MODULES=$(list_moonbase | sort)
   fi
 
+  if echo $MODULES | grep -qw moonbase ; then
+    # just update moonbase, no other modules
+    get_moonbase
+    # remove moonbase rofm MODULES and continue
+    MODULES=$(echo $MODULES | sed 's/moonbase//g')
+  fi
+
   for MODULE in $MODULES; do
-    if ! lget_locked ; then
-      lget_lock
-    
-      [ "$VEBOSE" == "on" ] && echo "+ downloading module \"$MODULE\""
-      download_module
-    
-      lget_unlock
+    if ! lget_locked $MODULE ; then
+      lget_lock $MODULE
+      verbose_msg "downloading module \"$MODULE\""
+      download_module $MODULE
+      lget_unlock $MODULE
     else
       false
     fi

Index: lin
===================================================================
RCS file: /var/cvs/lunar/theedge/sbin/lin,v
retrieving revision 1.53
retrieving revision 1.54
diff -u -d -r1.53 -r1.54
--- lin	8 Jun 2003 19:33:47 -0000	1.53
+++ lin	13 Jul 2003 20:49:54 -0000	1.54
@@ -37,7 +37,7 @@
 
 -f  |  --fix			Discover and fix broken modules
 -n  |  --nofix			Discover, but do not fix broken modules
--d  |  --fixdepends             Discover and fix dependancy problems, but
+-d  |  --fixdepends             Discover and fix dependency problems, but
                                 do not recompile modules
 
 -s				Download 1st, lin 2nd
@@ -60,6 +60,61 @@
 }
 
 
+process_parameters()  {
+  while  [  -n  "$1"  ];  do
+    if  echo  "" $1  |  grep  -q  "^ -";  then
+      case  $1  in
+                  --deps)  export DEPS_ONLY="$1";      shift 1  ;;
+        -r|--reconfigure)  export RECONFIGURE="$1";    shift 1  ;;
+            -c|--compile)  export COMPILE="$1";        shift 1  ;;
+	      -p|--probe)  export PROBE="$1";          shift 1  ;;
+                  --from)  export SOURCE_CACHE=$2;     shift 2  ;;
+                --silent)  export SILENT="$1";         shift 1  ;;
+                -f|--fix)  export FIX="$1";            shift 1  ;;
+              -n|--nofix)  export FIX="--fix"
+                           export NOFIX="$1";          shift 1  ;;
+	 -d|--fixdepends)  export FIXDEPENDS="$1";
+	 		   export FIX="$1";            shift 1  ;;
+                      -s)  export SEPARATE="$1";       shift 1  ;;
+                   --url)  export BASE_URL="$2";       shift 2  ;;
+                   --pam)  lin -c $(find_pam_aware);   shift 1  ;;
+                       *)  help                                 ;;
+      esac
+    else
+      shift
+   fi
+  done
+}
+
+
+strip_parameters()  {
+  while  [  -n  "$1"  ];  do
+    if  echo  "" $1  |  grep  -q  "^ -";  then
+      case  $1  in
+                  --deps)  shift 1  ;;
+        -r|--reconfigure)  shift 1  ;;
+                  --from)  shift 2  ;;
+                --silent)  shift 1  ;;
+                -f|--fix)  shift 1  ;;
+              -n|--nofix)  shift 1  ;;
+         -d|--fixdepends)  shift 1  ;;
+            -c|--compile)  shift 1  ;;
+	      -p|--probe)  shift 1  ;;
+                      -s)  shift 1  ;;
+                   --url)  shift 2  ;;
+                   --pam)  shift 1  ;;
+                       *)  shift 1  ;;
+      esac
+    else
+      echo  $1
+      shift
+   fi
+  done
+}
+
+
+
+
 main()	{
   process_parameters $@
   MODULES=$(strip_parameters $@)
@@ -67,34 +122,117 @@
   if echo $MODULES | grep -qw moonbase ; then
     # just update moonbase, no other modules
     MODULE=moonbase
-    lin_module
+    lin_module $MODULE
     # remove moonbase rofm MODULES and continue
     MODULES=$(echo $MODULES | sed 's/moonbase//g')
+    if [ -z "$MODULES" ] ; then
+      return
+    fi
+  fi
+
+  if [ -z "$MODULES" ] ; then
+    message "${MESSAGE_COLOR}Nothing to do!${DEFAULT_COLOR}"
+    return
   fi
 
   if [ -n "$FIX" ] ; then
     run_fix $MODULES
   else
-    export D_LOG="/tmp/lunar.downloading.`uuidgen`"
-    export PREPD="/tmp/lunar.prepd.`uuidgen`"
-    rm -f $PREPD 2>/dev/null
-    # pass 1 : run full dependancy checking
-    # This pass does configuration and dependency identification.
-    if ! build_depends $MODULES ; then
-      exit 1
-    elif [ -n "$DEPS_ONLY" ] ; then
-      exit 0
-    fi
+    # different approaches for multiple modules (start up downloads first)
+    # and single modules (plain install)
+    if [ $(echo $MODULES | wc -w) -gt 1 ] ; then
 
-    # pass 2 : hit the download manager button and grab a beer
-    # this runs as a background process, so we are off to step #3 right away
-    verbose_msg "Spawning download child"
-    build_sources $MODULES &
+      if [ ! -n "$TEMP_DOWNLOADLOG" ] ; then
+        export TEMP_DOWNLOADLOG=$(temp_create "download_log")
+      fi
 
-    # pass 3 : compile/install
-    # no strange stuff should happen here anymore
-    lin_modules $MODULES
-  
+      if [ ! -n "$TEMP_PREPAREDDEPS" ] ; then
+        export TEMP_PREPAREDDEPS=$(temp_create "prepared_depends")
+      fi
+
+      # pass 1 : run full dependency checking
+      # This pass does configuration and dependency identification.
+      if ! build_depends $MODULES ; then
+        temp_destroy $TEMP_DOWNLOADLOG
+	temp_destroy $TEMP_PREPAREDDEPS
+	verbose_msg "Unexpected errors, bailing out!"
+        exit 1
+      elif [ -n "$DEPS_ONLY" ] ; then
+        temp_destroy $TEMP_DOWNLOADLOG
+	temp_destroy $TEMP_PREPAREDDEPS
+        exit 0
+      fi
+
+      # pass 2 : hit the download manager button and grab a beer
+      # this runs as a background process, so we are off to step #3 right away
+      verbose_msg "Spawning download manager"
+      lget $MODULES >> $TEMP_DOWNLOADLOG 2>&1 &
+
+      # pass 3 : compile/install
+      # no strange stuff should happen here anymore
+      for MODULE in $MODULES ; do
+        verbose_msg "starting installation of \"$MODULES\""
+        if ! module_installed $MODULE || [ ! -n "$PROBE" ] ; then
+          if ! module_held $MODULE ; then
+            linING="/var/lock/installing.$MODULE"
+            if  [  -n  "$COMPILE"      ]  ||
+                [  -n  "$RECONFIGURE"  ]  ||
+                module_installed  $MODULE   ||
+                !  resurrect     $MODULE;  then
+              if ! lin $DEPS_ONLY $RECONFIGURE $COMPILE $PROBE $SILENT $FIX $NOFIX $FIXDEPENDS $SEPARATE $MODULE ; then
+                if [ -e "$TMP_LIN_FAIL" ] ; then
+                  echo "$MODULE" >> $TMP_LIN_FAIL
+                fi
+                lin_EXIT_STATUS=1;  
+              else
+                if [ -e "$TMP_LIN_SUCCESS" ] ; then
+                  echo "$MODULE" >> $TMP_LIN_SUCCESS
+                fi
+              fi
+            fi
+          else
+            verbose_msg "Skipping compile and install for held module \"$MODULE\""
+          fi
+        fi
+      done
+
+      # cleanups that we need to do
+      temp_destroy $TEMP_DOWNLOADLOG
+      temp_destroy $TEMP_PREPAREDDEPS
+
+    else
+      if [ ! -n "$TEMP_PREPAREDDEPS" ] ; then
+        FLAG_PREPAREDDEPS_SET=on
+        export TEMP_PREPAREDDEPS=$(temp_create "prepared_depends")
+      fi
+      # we are only doing one module, drop down to:
+      MODULE=$MODULES
+      if ! module_held $MODULE ; then
+      	if [ -n "$PROBE" ] ; then
+	  if ! module_installed $MODULE ; then
+	    build_depends $MODULE &&
+	    if [ ! -n "$DEPS_ONLY" ] ; then
+	      if ! lin_module $MODULE ; then
+	        exit 1
+              fi
+	    fi
+	  fi
+	else
+	  build_depends $MODULE &&
+	  if [ ! -n "$DEPS_ONLY" ] ; then
+            if ! lin_module $MODULE ; then
+	      exit 1
+	    fi
+	  fi
+	fi
+      else
+        verbose_msg "Skipping held module \"$MODULE\""
+      fi
+      if [ -n "$FLAG_PREPAREDDEPS_SET" ] ; then
+        temp_destroy $TEMP_PREPAREDDEPS
+	unset FLAG_PREPAREDDEPS_SET
+      fi
+    fi
   fi
 }
 

Index: lrm
===================================================================
RCS file: /var/cvs/lunar/theedge/sbin/lrm,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -d -r1.12 -r1.13
--- lrm	27 Apr 2003 17:24:56 -0000	1.12
+++ lrm	13 Jul 2003 20:49:54 -0000	1.13
@@ -22,9 +22,8 @@
    -h  --help        displays this screen
        --debug       debug output
    -d  --downgrade   [module] [version] downgrades a module
-   -e  --exile       exiles modules
    -s  --nosustain   removes module(s) even if they are sustained
-   -k  --keepconfig  remove module(s) but keep dependancies and config
+   -k  --keepconfig  remove module(s) but keep dependencies and config
    -t  --test        test only, do not actually do anything
    -V  --version     display version information and exit
    
@@ -35,9 +34,6 @@
    Downgrading a module means removing the current installed version
 of the module and installing a specific version; given that the 
 specific version is already in $INSTALL_CACHE/.
-   Exile is for removing the module and eliminating any possibilty
-for its re-installing via automatic processess. An exiled module can be
-un-exiled via linning it.
    Some modules (such as bash and gcc)  are marked "non-removable" by the 
 system. In order to remove "sustained" modules, use the nosustain option.
 END
@@ -192,28 +188,6 @@
 
       run_details $MODULE &> /dev/null
 
-      if ! module_installed $MODULE
-      then
-         if module_exiled $MODULE
-         then
-            message  "${MODULE_COLOR}${MODULE}"            \
-                     "${PROBLEM_COLOR}is already exiled."  \
-                     "${DEFAULT_COLOR}"
-            continue
-          fi
-
-         [ "$EXILE" == "on" ] && 
-         [ "$TEST" != "on"  ] &&
-         remove_module $MODULE
-
-         verbose_msg "module $MODULE is exiled"
-
-         message  "${LRM_COLOR}Exiled module:"  \
-                  "${MODULE_COLOR}${MODULE}"    \
-                  "${DEFAULT_COLOR}"
-         continue
-      fi
-
        VERSION=`installed_version  $MODULE`
       INST_LOG=$INSTALL_LOGS/$MODULE-$VERSION
        MD5_LOG=$MD5SUM_LOGS/$MODULE-$VERSION
@@ -246,7 +220,7 @@
       run_module_file POST_REMOVE
 
       if [ "$KEEPCONFIG" == "on" ] ; then
-        verbose_msg "skipping removal of dependancy listing and configs"
+        verbose_msg "skipping removal of dependency listing and configs"
       else
         verbose_msg "removing module from dependency listing and configs"
         remove_depends  $MODULE
@@ -256,8 +230,6 @@
       
       [ "$TEST" != "on" ] && remove_module  $MODULE
 
-      [ "$EXILE" == "on" ] && EXTEMP=" and exiled"
-
       message  "${LRM_COLOR}Removed${EXTEMP} module:"  \
                 "${MODULE_COLOR}${MODULE}"    \
                 "${DEFAULT_COLOR}"
@@ -424,7 +396,7 @@
 [ "$#" == "0" ] && help
 
 LRM_OPT=`getopt -q -o d:ehstvVk \
-         --long debug,downgrade:,exile,help,nosustain,test,keepconfig \
+         --long debug,downgrade:,help,nosustain,test,keepconfig \
          -n lrm -- "$@"`
 
 [ "$?" == "0" ] || help
@@ -439,7 +411,6 @@
                         downgrade "${@#-}"
                         exit
                         break;;
-      -e|--exile      ) export EXILE=on;       shift ;;
       -h|--help       ) help  ;;
       -s|--nosustain  ) export NOSUSTAIN=on;   shift ;;
       -k|--keepconfig ) export KEEPCONFIG=on;  shift ;;

Index: lunar
===================================================================
RCS file: /var/cvs/lunar/theedge/sbin/lunar,v
retrieving revision 1.16
retrieving revision 1.17
diff -u -d -r1.16 -r1.17
--- lunar	27 Apr 2003 17:24:56 -0000	1.16
+++ lunar	13 Jul 2003 20:49:54 -0000	1.17
@@ -35,7 +35,7 @@
     then
       SHORT="Short Description Unavailable"
       (
-        run_details
+        run_details $MODULE
         echo  $MODULE
         echo  $VERSION
         echo  $SHORT
@@ -185,60 +185,12 @@
 }
 
 
-update_pkgs() {
-
-  if  ps  -C  lin  >  /dev/null;  then
-    echo    "Unable to update lunar concurrently while installing."
-    sleep   5
-    return  1
-  fi
-
-  lin moonbase
-  if (( $(lvu installed $LUNAR_MODULE) < $(lvu version $LUNAR_MODULE) )) 
-  then
-    lin $LUNAR_MODULE && lunar renew
-  else
-    lunar renew
-  fi
-
-}
-
-
-rebuild()  {
-  rm  -f  $INSTALL_QUEUE
-
-  message  "To do a non recursive rebuild"
-  message  "all installed modules must be fixed first."
-  sleep  3
-  $LIN  --fix
-
-  for  LINE  in  `cat  $MODULE_STATUS_BACKUP`;  do
-     MODULE=`echo  "$LINE"  |  cut  -d : -f1`
-     STATUS=`echo  "$LINE"  |  cut  -d : -f3`
-    if  [  "$STATUS"   ==  "installed"  ]   &&
-        [  "$MODULE"  !=  "$LUNAR_MODULE"      ];  then
-      echo  $MODULE  >>  $INSTALL_QUEUE
-    fi
-  done
-
-  message  "Sorting the dependencies, that may take some time"
-  sort_install_queue
-
-  unset  MODULE
-  if    query  "Edit Rebuild/Install Queue?" n
-  then  edit_file  $INSTALL_QUEUE
-  fi
-
-  $LIN  --compile  `cat  $INSTALL_QUEUE`
-  rm -f                  $INSTALL_QUEUE
-}
-
 
 make_checklist()  {
   for  MODULE in `list_modules "$1"`;  do
     SHORT="Short Description Unavailable"
     (
-    run_details
+    run_details $MODULE
     STATUS="OFF"
 
     if    module_installed  $MODULE  ||
@@ -381,7 +333,7 @@
                       "U"  "Update"   "$U_HELP"`
   do
     case  $COMMAND in
-      U)  update_pkgs  ;;
+      U)  update       ;;
       S)  select_pkgs  ;;
       A)  add_pkgs     ;;
       R)  remove_pkgs  ;;
@@ -468,7 +420,7 @@
   while
     F_HELP="lin --fix: Check and fix all modules and internal state of lunar"
     N_HELP="lin --nofix: Check all modules but do not fix the internal state"
-    D_HELP="lin --fixdepends: Check and fix the dependancy database of lunar"
+    D_HELP="lin --fixdepends: Check and fix the dependency database of lunar"
     P_HELP="lunar prune: Prune old sources and install/compile logs"
     
     COMMAND=`$DIALOG  --title "Maintenance Menu"                         \
@@ -481,7 +433,7 @@
                       0 40 6                                             \
                       "F"     "Fix everything"                 "$F_HELP" \
                       "N"     "Check everything but don't fix" "$N_HELP" \
-                      "D"     "Fix dependancies"               "$D_HELP" \
+                      "D"     "Fix dependencies"               "$D_HELP" \
 		      "P"     "Prune old sources and logs"     "$P_HELP"`
   do
     case $COMMAND in
@@ -537,6 +489,7 @@
   E_HELP="Remove files when lrm?"
   F_HELP="Check for and repair broken programs after updating lunar?"
   G_HELP="Install the garbage documentation? (extras like README, LICENSE etc)"
+  H_HELP="Automatically resurrect modules instead of compiling them?"
   I_HELP="Create archives of installed software?"
   K_HELP="Keep source code in /usr/src on good compiles? (gcc profiling needs it)"
   M_HELP="Email reports?"
@@ -549,6 +502,7 @@
   W_HELP="Verbose display of compilation process?"
 
          ARCHIVE=${ARCHIVE:=on}
+   AUTORESURRECT=${AUTORESURRECT:=on}
          AUTOFIX=${AUTOFIX:=on}
        AUTOPRUNE=${AUTOPRUNE:=off}
            CABAL=${CABAL:=off}
@@ -576,6 +530,7 @@
                         ""                      \
                         0 40 14                 \
       "ARCHIVE"       "Toggle"  "$ARCHIVE"       "$I_HELP"   \
+      "AUTORESURRECT" "Toggle"  "$AUTORESURRECT" "$H_HELP"   \
       "AUTOFIX"       "Toggle"  "$AUTOFIX"       "$F_HELP"   \
       "AUTOPRUNE"     "Toggle"  "$AUTOPRUNE"     "$U_HELP"   \
       "CABAL"         "Toggle"  "$CABAL"         "$B_HELP"   \
@@ -595,6 +550,7 @@
   then
   
          ARCHIVE=off
+   AUTORESURRECT=off
          AUTOFIX=off
        AUTOPRUNE=off
            CABAL=off
@@ -614,6 +570,7 @@
     for  TOGGLE  in  $TOGGLES;  do
       case  $TOGGLE  in
              ARCHIVE)       ARCHIVE=on  ;;
+       AUTORESURRECT) AUTORESURRECT=on  ;;
              AUTOFIX)       AUTOFIX=on  ;;
            AUTOPRUNE)     AUTOPRUNE=on  ;;
                CABAL)         CABAL=on  ;;
@@ -634,6 +591,7 @@
 
     TEMP=`cat       $LOCAL_CONFIG    |
           grep  -v  "ARCHIVE="       |
+	  grep  -v  "AUTORESURRECT=" |
           grep  -v  "AUTOFIX="       |
           grep  -v  "AUTOPRUNE="     |
           grep  -v  "CABAL="         |
@@ -650,23 +608,24 @@
           grep  -v  "TMPFS="         |
 	  grep  -v  "VERBOSE="`
 
-    echo  "$TEMP"                       >   $LOCAL_CONFIG
-    echo  "     ARCHIVE=$ARCHIVE"       >>  $LOCAL_CONFIG
-    echo  "     AUTOFIX=$AUTOFIX"       >>  $LOCAL_CONFIG
-    echo  "   AUTOPRUNE=$AUTOPRUNE"     >>  $LOCAL_CONFIG
-    echo  "       CABAL=$CABAL"         >>  $LOCAL_CONFIG
-    echo  " KEEP_SOURCE=$KEEP_SOURCE"   >>  $LOCAL_CONFIG
-    echo  "MAIL_REPORTS=$MAIL_REPORTS"  >>  $LOCAL_CONFIG
-    echo  "    PRESERVE=$PRESERVE"      >>  $LOCAL_CONFIG
-    echo  "       SOUND=$SOUND"         >>  $LOCAL_CONFIG
-    echo  "     SUSTAIN=$SUSTAIN"       >>  $LOCAL_CONFIG
-    echo  "VIEW_REPORTS=$VIEW_REPORTS"  >>  $LOCAL_CONFIG
-    echo  "      VOYEUR=$VOYEUR"        >>  $LOCAL_CONFIG
-    echo  "        REAP=$REAP"          >>  $LOCAL_CONFIG
-    echo  "     GARBAGE=$GARBAGE"       >>  $LOCAL_CONFIG
-    echo  "       color $COLOR"         >>  $LOCAL_CONFIG
-    echo  "       TMPFS=$TMPFS"         >>  $LOCAL_CONFIG
-    echo  "     VERBOSE=$VERBOSE"       >>  $LOCAL_CONFIG
+    echo  "$TEMP"                        >   $LOCAL_CONFIG
+    echo  "      ARCHIVE=$ARCHIVE"       >>  $LOCAL_CONFIG
+    echo  "AUTORESURRECT=$AUTORESURRECT" >>  $LOCAL_CONFIG
+    echo  "      AUTOFIX=$AUTOFIX"       >>  $LOCAL_CONFIG
+    echo  "    AUTOPRUNE=$AUTOPRUNE"     >>  $LOCAL_CONFIG
+    echo  "        CABAL=$CABAL"         >>  $LOCAL_CONFIG
+    echo  "  KEEP_SOURCE=$KEEP_SOURCE"   >>  $LOCAL_CONFIG
+    echo  " MAIL_REPORTS=$MAIL_REPORTS"  >>  $LOCAL_CONFIG
+    echo  "     PRESERVE=$PRESERVE"      >>  $LOCAL_CONFIG
+    echo  "        SOUND=$SOUND"         >>  $LOCAL_CONFIG
+    echo  "      SUSTAIN=$SUSTAIN"       >>  $LOCAL_CONFIG
+    echo  " VIEW_REPORTS=$VIEW_REPORTS"  >>  $LOCAL_CONFIG
+    echo  "       VOYEUR=$VOYEUR"        >>  $LOCAL_CONFIG
+    echo  "         REAP=$REAP"          >>  $LOCAL_CONFIG
+    echo  "      GARBAGE=$GARBAGE"       >>  $LOCAL_CONFIG
+    echo  "        color $COLOR"         >>  $LOCAL_CONFIG
+    echo  "        TMPFS=$TMPFS"         >>  $LOCAL_CONFIG
+    echo  "      VERBOSE=$VERBOSE"       >>  $LOCAL_CONFIG
   fi
 }
 
@@ -810,17 +769,19 @@
 
 main() {
   case  $1  in
-      prune)  prune                      ;;
-      renew)  update_installed
-              upgrade_install_queue      ;;
-     update)  update_pkgs  autoupdate    ;;
-    rebuild)  rebuild                    ;;
-   optimize)  optimize_architecture      ;;
-    install)  shift && lin $@            ;;
-     remove)  shift && lrm $@            ;;
-       hold)  shift && hold_modules $@   ;;
-     unhold)  shift && unhold_modules $@ ;;
-          *)  main_menu                  ;;
+      prune)  prune                         ;;
+      renew)  renew                         ;;
+     update)  update                        ;;
+    rebuild)  rebuild                       ;;
+   optimize)  optimize_architecture         ;;
+  resurrect)  shift && resurrect_modules $@ ;;
+    install)  shift && lin $@               ;;
+     remove)  shift && lrm $@               ;;
+       hold)  shift && hold_modules $@      ;;
+     unhold)  shift && unhold_modules $@    ;;
+      exile)  shift && exile_modules $@     ;;
+    unexile)  shift && unexile_modules $@   ;;
+          *)  main_menu                     ;;
   esac
 }
 
@@ -834,9 +795,9 @@
 
 #lets load the menu code
 if [ -n "$MENUS" ]; then
-   for FILE in `echo $MENUS/*.menu` ; do
-      [ -s "$FILE" ] && . "$FILE"
-   done
+  for FILE in `echo $MENUS/*.menu` ; do
+    [ -s "$FILE" ] && . "$FILE"
+  done
 fi
 
 root_check
@@ -848,5 +809,5 @@
 LUNAR_MODULE=${LUNAR_MODULE:=lunar}
 LUNAR_VERSION=$(run_details $LUNAR_MODULE && echo $UPDATED)
 
-main  $*
+main $*
 




More information about the Lunar-commits mailing list